Page 1 of 5 12345 LastLast
Results 1 to 20 of 86
  1.    #1  
    Ok, so after taking everything in I believe I understand why the Pre and Pixi will not get 2.x updates, because clearly they are powerful enough to run 2.x!

    The new devices will run WebOs 2.x versions, which will support both Mojo and Enyo Frameworks. In order for existing developers to support Enyo, most of their current apps will have to be re-coded, which would require the developer to potentially do a lot of free work for current app owners, because why would most Pre or Pixi owners pay for an updated copy of an app they've already purchased?

    So, I'm assuming this is to prevent deterring developers from rewriting their apps from Mojo to Enyo.
  2. #2  
    As I wrote in another thread (of which most of the other posts are from those who registered long time ago but didn't even bother posting anything except "I'm going to Android now that they said this"), I think it has more to do with the structural differences between 1.x and 2.x, in particular the Java engine and the database backend. It will be near impossible to do an update and handily convert the data from the old DB type (I think it's Sqlite) to the new db8 which 2.x uses on device.

    Furthermore there will be a lot of usability issues with the new features on the older processor.

    I think it's more of the usuals complaining either way. They can push the update, it'll be slow as molasses then people will complain. They will not push the update and people will complain.
    Palm IIIc -> Sony CLI T650C -> Sony TJ-37 -> Palm TX -> Palm Centro -> Palm Pre Bell -> Palm Pre Plus Bell/Verizon Hybrid -> HP Veer -> HP Pre 3 NA -> BlackBerry Classic -> BlackBerry Priv

    It's a Late Goodbye, such a Late Goodbye.

    Need OEM Palm Pre parts? See here
  3. #3  
    The reasons don't matter. What matters is that HP have seriously messed up their customer relations by making promises and then breaking them. They have turned themselves into an untrustworthy bunch of liars - especially with the debacle about the "no OTA, but a WebOSDr"...."ummm"..."sorry - no Dr. either" debacle.

    It would have been far better if they had said nothing about WebOS 2 for existing devices.
    Last edited by marshalla99; 02/10/2011 at 04:10 AM.
    Psion 3a, 3c, 3mx, Handspring Visor Deluxe, Treo 180, Treo 600, Centro, Pre, Touchpad, Pre3, Blackberry Passport (sorry!)
  4. #4  
    Quote Originally Posted by marshalla99 View Post
    The reasons don't matter. What matters is that HP have seriously messed up their customer relations by making promises and then breaking them. They have turned themselves into an untrustworthy bunch of liars - especially with the debacle about the "no OTA, but a WebOSDr"...."ummm"..."sorry - no Dr. either" debacle.

    It would have been far better if they had said nothing about WebOS 2 for exiting devices.
    Exactly, you don't promise things and then go back on them as a business.
  5. #5  
    Pre's and Pre Pluses are perfectly capable of running 2.x. Expect "custom ROMs" in the near future
  6. #6  
    Quote Originally Posted by ToniCipriani View Post

    I think it's more of the usuals complaining either way. They can push the update, it'll be slow as molasses then people will complain. They will not push the update and people will complain.

    Nope the problem is that they PROMISED the update but now say no.

    Heck as late as yesterday some HP types were saying it would still be possilble just not OTA and now today its no-way-any-way. Clearly somebody don't know what's up over there.

    In all, I'm picturing one of those meetings with Dilbert and a marketing guy....
  7. #7  
    I'm a guy who can't stand androids UI, don't like iphone form factor, and want mutitasking (so no wph7). The pre 3 I'd very close to my "dream device", but this has gotten me ****ed off. First off, if you make promise, then keep it. Secondly, you make a deal with a carrier to sell a phone under a 3 year contract, its gotta be supported for that long.
  8. #8  
    don't you lose all data on your phone lol
    ĦṔ-Ḷṫ-Ŧḯη
    Here is a direct link to webOS Doc for all carriers
    http://www.webos-internals.org/wiki/...octor_Versions
    P.S. if i have helped you and you are thankful please hit the thanks button to the right---->
  9. #9  
    Quote Originally Posted by kill_Dano View Post
    They already put 2.0.1 on current phones. Put webOS 2.0.1 on your Pre now.

    They just made that stuff up about it not being powerful enough. It runs great.
    *****, it's not a stable release. You're going to end up screwing people over.

    Swyped from my HTC HD2 (CM7)
    Want to keep up with my exciting new projects? You know where to find me.
  10. #10  
    Quote Originally Posted by kill_Dano View Post
    They already put 2.0.1 on current phones. Put webOS 2.0.1 on your Pre now. [url]

    They just made that stuff up about it not being powerful enough. It runs great.
    You just have to love this guy, posting the link all over the place without warning people about the implications this will have on their profiles... Hehehe
  11. rkguy's Avatar
    Posts
    803 Posts
    Global Posts
    816 Global Posts
    #11  
    the weird thing is if it is a database thing or something in the back end then how does that prevent us from updating our phones anwyay.

    I mean do they expect everybody who gets a veer or a pre3 to start a new profile? I hope not. So then if I doctor my pixi or pre to 2.x (which uses the right dB etc) it should be able to use my profile as well. Something doesn't add UP
    ...This programming stuff is actually addictive but really hard :/
  12. #12  
    Quote Originally Posted by NuttyBunny View Post
    You just have to love this guy, posting the link all over the place without warning people about the implications this will have on their profiles... Hehehe
    I've been trying to keep up with him and warn people, but i give up. That guy is an *****!

    Swyped from my HTC HD2 (CM7)
    Want to keep up with my exciting new projects? You know where to find me.
  13. rkguy's Avatar
    Posts
    803 Posts
    Global Posts
    816 Global Posts
    #13  
    maybe they should say we r 2 slo and don't have the database migration tools in place yet. that's why you can't upgrade. errr..Yup
    ...This programming stuff is actually addictive but really hard :/
  14. #14  
    Watching kill_Dano desperately try to clean this up for HP is hilarious.
  15. ijip's Avatar
    Posts
    885 Posts
    Global Posts
    960 Global Posts
    #15  
    i just think they felt 256 megs of ram was not enough for future apps, the user base is small, so looking ahead they want to start from scratch. yes it sux, but they are apperently negotiating with sprint and verizon to provide a "path" to 2.0... hopefull we get heavily discounted phones. at least im crossing my fingers for that anyhow. pre 3 is for the most part what i have been wanting....
  16. #16  
    Quote Originally Posted by NuttyBunny View Post
    Pre's and Pre Pluses are perfectly capable of running 2.x. Expect "custom ROMs" in the near future
    There will be No Customer ROMs as unlike Android WebOS is not open source. WebOS internals won't do it as they are all for working with Palm /HP. Who else will create one?
  17. #17  
    Quote Originally Posted by ijip View Post
    i just think they felt 256 megs of ram was not enough for future apps, the user base is small, so looking ahead they want to start from scratch. yes it sux, but they are apperently negotiating with sprint and verizon to provide a "path" to 2.0... hopefull we get heavily discounted phones. at least im crossing my fingers for that anyhow. pre 3 is for the most part what i have been wanting....

    Me too, I would have liked a bigger screen (a la venue pro) but Pre 3 is not bad. I just hope Sprint gets it and SOON.
  18. #18  
    Quote Originally Posted by Mattykinsx View Post
    Exactly, you don't promise things and then go back on them as a business.
    Looking at it the other way, that means HP engineers did give it a shot, just unfortunately couldn't get it done.
  19. #19  
    I think us Palm Pre Plus users were screwed the hardest. Despite 512mb RAM we still didn't get the update and I have till October before I can upgrade. No new updates and now developers are not going to bother with 1.X apps. At least most Pre owners are done with contracts and have had the device for a couple years. My Pre Plus is a year old and now it's a dead end device.
  20. #20  
    Quote Originally Posted by sapient2k7 View Post
    There will be No Customer ROMs as unlike Android WebOS is not open source. WebOS internals won't do it as they are all for working with Palm /HP. Who else will create one?
    webOS Internals don't work for Palm/HP (they've stated this in the past)
    The way to do a custom rom is fairly easy:

    Get a webOS doctor for your carrier.
    Unpack it
    Replace the needed files from another webos doctor
    Repack it
    Install

    Meta Doctor is a tool that can help you using this, but I think there's documentation on how to do it manually.

    So, to create a good and working 2.1 release, we should grab one of the 2.x prerelease doctors for Pre or Pre+, overwrite relevant files (maybe only the app and services ones), and repack it... Of course, this will never be supported
    Just remember: If I helped you, press the thanks button!

    Owner of: Pre Sprint, Pre Telcel, Pre Plus AT&T, Pre 2 Unlocked, Pixi Plus AT&T, and 2 TouchPads (my Pre3 was stolen so it won't appear again here).
    Needs: Veer (anyone?)
    Apps: Subnet Calculator, FreeCam, PhotoFun, NuttyPad (work in progress)
    HomeBrew: meta-doctor and Messaging Plugins collaborator
    Twitter: @cesarneg
Page 1 of 5 12345 LastLast

Posting Permissions